%global srcname flask-cors

Name:           python-%{srcname}
Version:        5.0.0
Release:        %mkrel 3
Summary:        Cross Origin Resource Sharing (CORS) support for Flask
Group:          Development/Python
License:        MIT
URL:            https://github.com/corydolphin/%{srcname}
Source0:        https://github.com/corydolphin/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

%description
A Flask extension for handling Cross Origin Resource Sharing (CORS),
making cross-origin AJAX possible.

%package -n python3-%{srcname}
Summary:        Cross Origin Resource Sharing (CORS) support for Flask

BuildRequires:  python3-devel
BuildRequires:  python3-flask
BuildRequires:  python3-pytest
BuildRequires:  python3-packaging
BuildRequires:  python3-setuptools
BuildRequires:  python3-six

%description -n python3-%{srcname}
A Flask extension for handling Cross Origin Resource Sharing (CORS),
making cross-origin AJAX possible.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flask_cors

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md README.rst



%changelog
* Sun Mar 02 2025 wally <wally> 5.0.0-3.mga10
+ Revision: 2158236
- rebuild for python3.13

* Mon Feb 17 2025 daviddavid <daviddavid> 5.0.0-2.mga10
+ Revision: 2149170
- switch to pytest

* Thu Dec 19 2024 papoteur <papoteur> 5.0.0-1.mga10
+ Revision: 2126245
- new version 5.0.0

* Fri May 17 2024 solbu <solbu> 4.0.1-1.mga10
+ Revision: 2064625
- New release: 4.0.1

* Thu Dec 28 2023 papoteur <papoteur> 4.0.0-2.mga10
+ Revision: 2023016
- rebuild for python 3.12
- adapt to pyrpoject macros

* Thu Sep 14 2023 solbu <solbu> 4.0.0-1.mga10
+ Revision: 1986676
- New release: 4.0.0

* Thu Sep 22 2022 solbu <solbu> 3.0.10-1.mga9
+ Revision: 1891378
- Add missing Group
- imported package python-flask-cors


* Thu Sep 22 2022 Johnny A. Solbu <johnny@solbu.net> 3.0.10-1.solbu9
- First Mageia package

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.10-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 3.0.10-6
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 3.0.10-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan 07 2021 Frantisek Zatloukal <fzatlouk@redhat.com> - 3.0.10-1
- Update to 3.0.10

* Mon Aug 31 2020 Frantisek Zatloukal <fzatlouk@redhat.com> - 3.0.9-1
- Update to 3.0.9
- Force tests to pass

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 3.0.8-7
- Rebuilt for Python 3.9

* Wed Apr 01 2020 Frantisek Zatloukal <fzatlouk@redhat.com> - 3.0.8-6
- Don't require tests to pass (Flask 1.0 fallout)

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 3.0.8-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 3.0.8-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jun 09 2019 Frantisek Zatloukal <fzatlouk@redhat.com> - 3.0.8-1
- Update to 3.0.8

* Thu Jan 31 2019 Frantisek Zatloukal <fzatlouk@redhat.com> - 3.0.7-1
- Update to 3.0.7

* Tue Nov 21 2017 David Carlos <ddavidcarlos1392@gmail.com> - 3.0.3-5
- remove debug_package macro
- Add BuildArch to parent package and remove from subpackage

* Tue Nov 21 2017 David Carlos <ddavidcarlos1392@gmail.com> - 3.0.3-4
- Add python- prefix on source name
- Add a blank line between each changelog report.
- Change the path to build the package on prep step.

* Mon Nov 20 2017 David Carlos <ddavidcarlos1392@gmail.com> - 3.0.3-3
- Fix Source0 commentary.

* Sun Nov 19 2017 David Carlos <ddavidcarlos1392@gmail.com> - 3.0.3-2
- Use py3_install and py3_build instead of {__python3}
- Generates a sub package called python3-flask-cors, and keep the source name
as python-flask-cors
- Use py3_dist to resolve Requires and BuildRequires
- Fix rpmlint warnings

* Tue Nov 07 2017 David Carlos <ddavidcarlos1392@gmail.com> - 3.0.3-1
- Initial packaging work for Fedora
